pgiコンパイラの最新版(17.1)を使いたいのですが ?

pgiコンパイラは定期的に更新されますので、なるべく最新版をご利用いただけるように環境を作っております。
最新版(17.1  2/27更新)をご利用になりたい場合は、

「TSUBAME利用の手引き」 6.1.5 違うバージョンのコンパイラ
http://tsubame.gsic.titech.ac.jp/docs/guides/tsubame2/html/programming.html#id7

でも紹介しておりますが、

> source  /usr/apps.sp3/isv/pgi/pgiset17.1.sh  (17.1部分でバージョンを指定)

とする事で、コンパイラパーションを切り替えることができます。
MPIでpgiを使用する場合、MPI環境の切り替えも必要になります。
手引きの 6.3 MPI並列 も参照ください。
http://tsubame.gsic.titech.ac.jp/docs/guides/tsubame2/html/programming.html#compiler-mpi

また、コンパイラのバージョン履歴の差分表示は
http://www.bestsystems.co.jp/products/software/programing/pgicompiler/outline.html

などが参照できます。